Index: /trunk/expressoAdmin1_2/inc/class.maillist.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.maillist.inc.php	(revision 493)
+++ /trunk/expressoAdmin1_2/inc/class.maillist.inc.php	(revision 585)
@@ -252,11 +252,10 @@
 			{
 				sort($add_users);
-				$result = $this->ldap_functions->add_user2maillist($new_values['uid'], $add_users);
-				
-				/* log */
-				if (!$result['status'])
-				{
-					$return['status'] = false;
-					$return['msg'] .= $result['msg'];
+				$result_add_users = $this->ldap_functions->add_user2maillist($new_values['uid'], $add_users);
+				
+				if (!$result_add_users['status'])
+				{
+					$return['status'] = false;
+					$return['msg'] .= $result_add_users['msg'];
 				}
 				else
@@ -272,11 +271,10 @@
 			{
 				sort($remove_users);
-				$result = $this->ldap_functions->remove_user2maillist($new_values['uid'], $remove_users);
-				
-				/* log */
-				if (!$result['status'])
-				{
-					$return['status'] = false;
-					$return['msg'] .= $result['msg'];
+				$result_remove_users = $this->ldap_functions->remove_user2maillist($new_values['uid'], $remove_users);
+				
+				if (!$result_remove_users['status'])
+				{
+					$return['status'] = false;
+					$return['msg'] .= $result_remove_users['msg'];
 				}
 				else
Index: /trunk/expressoAdmin1_2/inc/access_denied.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/access_denied.php	(revision 309)
+++ /trunk/expressoAdmin1_2/inc/access_denied.php	(revision 585)
@@ -20,5 +20,5 @@
 	
 	$var = Array(
-		'lang_access_denied' => lang('You dont have access to this module.'),
+		'lang_access_denied' => lang('You do not have access to this module') . '.',
 		'lang_back'	=> lang('Back'),
 		'back_url'	=> $GLOBALS['phpgw']->link('/expressoAdmin1_2/index.php')
Index: /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 540)
+++ /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 585)
@@ -76,4 +76,5 @@
 		*/
 		
+		// Este if é para utilizar o master. (para replicação)
 		if ( (!empty($GLOBALS['phpgw_info']['server']['ldap_master_host'])) && ($ldap_connection = ldap_connect($GLOBALS['phpgw_info']['server']['ldap_master_host'])) )
 		{
@@ -905,8 +906,5 @@
 			if (ldap_errno($ldapMasterConnect) == '50')
 			{
-				
-				$return['msg'] = $this->functions->lang('You do not have right to create institutional accounts') . ".";
-
-				$result['msg'] =	$this->functions->lang('Error on the function') . ' ldap_functions->add_user2maillist' . ".\n" .
+				$result['msg'] =	$this->functions->lang('Error on the function') . ' ldap_functions->remove_user2maillist' . ".\n" .
 									$this->functions->lang('The user used for record on LPDA, must have write access') . ".\n";
 									$this->functions->lang('The user') . ' ' . $_SESSION['phpgw_info']['expresso']['cc_ldap_server']['acc'] . ' ' . $this->functions->lang('does not have this access') . ".\n";
@@ -914,5 +912,5 @@
 			}					 
 			else
-				$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->add_user2maillist ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($ldapMasterConnect);
+				$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->remove_user2maillist ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($ldapMasterConnect);
 		}
 		ldap_close($ldapMasterConnect);
@@ -1947,5 +1945,5 @@
 		{
 			$result['status'] = false;
-			$result['msg']  = $this->functions->lang('Error in function') . ' ldap_functions->create_institutional_accounts';
+			$result['msg']  = $this->functions->lang('Error on function') . ' ldap_functions->create_institutional_accounts';
 			$result['msg'] .= "\n" . $this->functions->lang('Server return') . ': ' . ldap_error($this->ldap);
 		}