Index: /trunk/jabberit_messenger/templates/default/jabberIM.tpl
===================================================================
--- /trunk/jabberit_messenger/templates/default/jabberIM.tpl	(revision 563)
+++ /trunk/jabberit_messenger/templates/default/jabberIM.tpl	(revision 596)
@@ -4,19 +4,19 @@
 	<body leftmargin='0' topmargin='0' marginwidth='0' marginheight='0'>
 		<applet name='jeti' archive='{path}applet.jar?{file0},{path}plugins/groupchat.jar?{file1},{path}plugins/sound.jar?{file2},{path}plugins/xhtml.jar?{file3}' code='nu.fw.jeti.applet.Jeti.class' width='100%' height='400px'>
-		<param name='SERVER' value='{value_server}'>
-		<param name='HOST' value='{value_host}'>
-		<param name='PORT' value='{value_port}'>
-		<param name='RESOURCE' value='{value_resource}'>
-		<param name='USER' value='{value_user}'>
-		<param name='PASSWORD'	value='{value_password}'>
-		<param name='SSL' value='{value_ssl}'>
-		<param name='HIDELOGINSTATUS' value='TRUE'>
-		<param name='USEPROXY' value='{value_userproxy}'>
-		<param name='EXPRESSO' value='{value_expresso}'>
-		<param name='USEHTTPS' value='{value_use_https}'>
-		<param name='NAMECOMPANY' value='{value_company}'>
-		<param name='CNNAME' value='{value_cnname}'>
-		<param name='PREFERENCE_USEROFFLINE' value='{value_preference_userOfflineJabberit}'>		
-		<param name='EXTIPAGE' value='javascript:window.close();'>
+			<param name='SERVER' value='{value_server}'>
+			<param name='HOST' value='{value_host}'>
+			<param name='PORT' value='{value_port}'>
+			<param name='RESOURCE' value='{value_resource}'>
+			<param name='USER' value='{value_user}'>
+			<param name='PASSWORD'	value='{value_password}'>
+			<param name='SSL' value='{value_ssl}'>
+			<param name='HIDELOGINSTATUS' value='TRUE'>
+			<param name='USEPROXY' value='{value_userproxy}'>
+			<param name='EXPRESSO' value='{value_expresso}'>
+			<param name='USEHTTPS' value='{value_use_https}'>
+			<param name='NAMECOMPANY' value='{value_company}'>
+			<param name='CNNAME' value='{value_cnname}'>
+			<param name='PREFERENCE_USEROFFLINE' value='{value_preference_userOfflineJabberit}'>		
+			<param name='EXTIPAGE' value='javascript:window.close();'>
 		</applet>
 	</body>
Index: /trunk/jabberit_messenger/templates/default/indexIM.tpl
===================================================================
--- /trunk/jabberit_messenger/templates/default/indexIM.tpl	(revision 514)
+++ /trunk/jabberit_messenger/templates/default/indexIM.tpl	(revision 596)
@@ -1,4 +1,4 @@
 <!-- BEGIN index -->
-    <h1>Expresso Messenger - Como Utilizar</h1>
+    <h1>JMessenger - Como Utilizar</h1>
     <ol>
       <li><a href="#intro">Introdução</a>
@@ -16,5 +16,5 @@
     <h2><a name="intro">1. Introdução</a></h2>
     
-    O JabberIT Messenger é uma aplicação que permite o envio e recebimento de mensagens instantaneamente. Através da sua lista de contatos, você pode trocar mensagens e arquivos com seus contatos. Através da lista também é possível saber se seus contatos estão Online ou Offline. Para a troca de mensagens basta clicar em cima do nome do seu contato, se o mesmo estiver online ( verifique a sessão <a href="#status">Indicador de Status</a> ) abrirá uma janela onde você poderá enviar/receber as mensagens. O JabberIT Messenger está associado
+    O JMessenger é uma aplicação que permite o envio e recebimento de mensagens instantaneamente. Através da sua lista de contatos, você pode trocar mensagens e arquivos com seus contatos. Através da lista também é possível saber se seus contatos estão Online ou Offline. Para a troca de mensagens basta clicar em cima do nome do seu contato, se o mesmo estiver online ( verifique a sessão <a href="#status">Indicador de Status</a> ) abrirá uma janela onde você poderá enviar/receber as mensagens. O JMessenger está associado
     a um serviço de mensagens instantâneas Jabber e este serviço é responsável pelo armazenamento dos seus contatos, preferências e mensagens.
 	<br>
@@ -86,7 +86,19 @@
     <br/>
 	<br/>
-	<img src="templates/default/images/janela_adicionar_contatos.png" width="454" height="371" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
+	<img src="templates/default/images/janela_adicionar_contatos.png" width="452" height="399" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
 	<br clear="all"/>
 	( figura 6 )
+	<br/>	
+	<br/>
+	<h3>Adicionando um novo contato por Email</h3>
+	Também existe a opção de adicionar um novo usuário utilizando o seu email para as <span style="color:red; font-weight:bold;">organizações</span> listadas dentro do menu informações, que pode ser acessado clicando na imagem <img src="templates/default/images/view.png">.
+	Para adicionar um novo contato utilizando o seu email, marque a opção ( figura 6.1 ) e informe o email.
+	<b>Esta opção é apenas um informativo e nem todos os usuários possuem acesso a essa funcionalidade</b>. 
+	<br/>
+	<br/>
+	<img src="templates/default/images/janela_adicionar_contatos_email.png" width="452" height="399" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
+	<br clear="all"/>
+	( figura 6.1 )
+	
 	<br/>
 
Index: /trunk/jabberit_messenger/templates/default/content.html
===================================================================
--- /trunk/jabberit_messenger/templates/default/content.html	(revision 514)
+++ /trunk/jabberit_messenger/templates/default/content.html	(revision 596)
@@ -7,5 +7,5 @@
 <a name='indice'/>
 <table width='100%'>
-    <p class='item'>Expresso Messenger - Como Utilizar</p>
+    <p class='item'>JMessenger - Como Utilizar</p>
     <ol>
       <a href="#intro"><font size="2" style="text-decoration:underline" color="DARKBLUE"><li>Introdução</li></font></a>
@@ -23,5 +23,5 @@
     <a name="intro"><p class='item'>1. Introdução</p></a>
     <div class='texto'>
-    O JabberIT Messenger é uma aplicação que permite o envio e recebimento de mensagens instantaneamente. Através da sua lista de contatos, você pode trocar mensagens e arquivos com seus contatos. Através da lista também é possível saber se seus contatos estão Online ou Offline. Para a troca de mensagens basta clicar em cima do nome do seu contato, se o mesmo estiver online ( verifique a sessão <a href="#status">Indicador de Status</a> ) abrirá uma janela onde você poderá enviar/receber as mensagens. O JabberIT Messenger está associado
+    O JMessenger é uma aplicação que permite o envio e recebimento de mensagens instantaneamente. Através da sua lista de contatos, você pode trocar mensagens e arquivos com seus contatos. Através da lista também é possível saber se seus contatos estão Online ou Offline. Para a troca de mensagens basta clicar em cima do nome do seu contato, se o mesmo estiver online ( verifique a sessão <a href="#status">Indicador de Status</a> ) abrirá uma janela onde você poderá enviar/receber as mensagens. O JMessenger está associado
     a um serviço de mensagens instantâneas Jabber e este serviço é responsável pelo armazenamento dos seus contatos, preferências e mensagens.
     <br><br>
@@ -84,5 +84,16 @@
 	<br><br>
 	<img align="bottom" src="images/janela_adicionar_contatos.png" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
-	<br>( figura 6 )
+	<br/>	
+	<br/>
+	<h3>Adicionando um novo contato por Email</h3>
+	Também existe a opção de adicionar um novo usuário utilizando o seu email para as <span style="color:red; font-weight:bold;">organizações</span> listadas dentro do menu informações, que pode ser acessado clicando na imagem <img src="images/view.png">.
+	Para adicionar um novo contato utilizando o seu email, marque a opção ( figura 6.1 ) e informe o email.
+	<b>Esta opção é apenas um informativo e nem todos os usuários possuem acesso a essa funcionalidade</b>. 
+	<br/>
+	<br/>
+	<img src="images/janela_adicionar_contatos_email.png" width="452" height="399" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
+	<br clear="all"/>
+	( figura 6.1 )
+	<br/>
 	</div>
 	<p class='back'><a href="#indice">Voltar</a></p>