Index: trunk/jabberit_messenger/templates/default/jabberIM_IE.tpl
===================================================================
--- trunk/jabberit_messenger/templates/default/jabberIM_IE.tpl	(revision 622)
+++ trunk/jabberit_messenger/templates/default/jabberIM_IE.tpl	(revision 622)
@@ -0,0 +1,55 @@
+<!-- BEGIN index -->
+<html> 
+	<head>
+	<script type="text/javascript" src="../jabberit_messenger/js/changeStatus.js"></script>
+	<script type="text/javascript">
+		
+		// Pop-up or Layer
+
+		if( window.parent.loadscript )
+			var elementStatus = window.parent.loadscript.getElement();
+		else
+			var elementStatus = self.opener.parent.loadscript.getElement();
+
+		changestatus.setpath('{path}');
+		
+		function getArgumentsApplet()
+		{
+			if(( arguments.length > 0 ) && (arguments[0] == "getArgumentsApplet"))
+				changestatus.get(arguments[1], elementStatus);
+		}
+
+		window.onunload = function()
+		{
+			var url_img = '{path}' + 'templates/default/images/unavailable.gif';
+			elementStatus.style.backgroundImage = 'url(' + url_img +')';
+		}
+		
+	</script>
+	</head>
+	<body leftmargin='0' topmargin='0' marginwidth='0' marginheight='0'>
+		<object classid='clsid:8AD9C840-044E-11D1-B3E9-00805F499D93' width='250px' height='400px'>
+			<param name='name' value='jeti'>
+			<param name='archive' value='{path}applet.jar?{file0},{path}plugins/groupchat.jar?{file1},{path}plugins/sound.jar?{file2},{path}plugins/xhtml.jar?{file3}'>
+			<param name='code' value='nu.fw.jeti.applet.Jeti.class'>
+			<param name='codebase' value='.'>	
+			<param name='MAYSCRIPT' value='true'>
+			<param name='SERVER' value='{value_server}'>
+			<param name='HOST' value='{value_host}'>
+			<param name='PORT' value='{value_port}'>
+			<param name='RESOURCE' value='{value_resource}'>
+			<param name='USER' value='{value_user}'>
+			<param name='PASSWORD'	value='{value_password}'>
+			<param name='SSL' value='{value_ssl}'>
+			<param name='HIDELOGINSTATUS' value='TRUE'>
+			<param name='USEPROXY' value='{value_userproxy}'>
+			<param name='EXPRESSO' value='{value_expresso}'>
+			<param name='USEHTTPS' value='{value_use_https}'>
+			<param name='NAMECOMPANY' value='{value_company}'>
+			<param name='CNNAME' value='{value_cnname}'>
+			<param name='PREFERENCE_USEROFFLINE' value='{value_preference_userOfflineJabberit}'>		
+			<param name='EXTIPAGE' value='javascript:window.close();'>
+		</object>
+	</body>
+</html>
+<!-- END index -->
Index: trunk/jabberit_messenger/templates/default/jabberIM.tpl
===================================================================
--- trunk/jabberit_messenger/templates/default/jabberIM.tpl	(revision 596)
+++ trunk/jabberit_messenger/templates/default/jabberIM.tpl	(revision 622)
@@ -1,7 +1,33 @@
 <!-- BEGIN index -->
 <html> 
-	<head></head>
+	<head>
+	<script type="text/javascript" src="../jabberit_messenger/js/changeStatus.js"></script>
+	<script type="text/javascript">
+		
+		// Pop-up or Layer
+		
+		if( window.parent.loadscript )
+			var elementStatus = window.parent.loadscript.getElement();
+		else
+			var elementStatus = self.opener.parent.loadscript.getElement();
+
+		changestatus.setpath('{path}');
+		
+		function getArgumentsApplet()
+		{
+			if(( arguments.length > 0 ) && (arguments[0] == "getArgumentsApplet"))
+				changestatus.get(arguments[1], elementStatus);
+		}
+		
+		window.onunload = function()
+		{
+			var url_img = '{path}' + 'templates/default/images/unavailable.gif';
+			elementStatus.style.backgroundImage = 'url(' + url_img +')';
+		}
+		
+	</script>
+	</head>
 	<body leftmargin='0' topmargin='0' marginwidth='0' marginheight='0'>
-		<applet name='jeti' archive='{path}applet.jar?{file0},{path}plugins/groupchat.jar?{file1},{path}plugins/sound.jar?{file2},{path}plugins/xhtml.jar?{file3}' code='nu.fw.jeti.applet.Jeti.class' width='100%' height='400px'>
+		<applet name='jeti' archive='{path}applet.jar?{file0},{path}plugins/groupchat.jar?{file1},{path}plugins/sound.jar?{file2},{path}plugins/xhtml.jar?{file3}' code='nu.fw.jeti.applet.Jeti.class' codebase='.' width='220px' height='400px' MAYSCRIPT>
 			<param name='SERVER' value='{value_server}'>
 			<param name='HOST' value='{value_host}'>
Index: trunk/jabberit_messenger/setup/phpgw_pt-br.lang
===================================================================
--- trunk/jabberit_messenger/setup/phpgw_pt-br.lang	(revision 563)
+++ trunk/jabberit_messenger/setup/phpgw_pt-br.lang	(revision 622)
@@ -28,4 +28,5 @@
 Contact	jabberit_messenger	pt-br	Contato
 Contact Add	jabberit_messenger	pt-br	Contato Adicionado
+Connection	jabberit_messenger	pt-br	Conexão
 Custom message...	jabberit_messenger	pt-br	Mensagem ...
 Delete	jabberit_messenger	pt-br	Excluir
@@ -81,6 +82,7 @@
 online	jabberit_messenger	pt-br	Online
 offline	jabberit_messenger	pt-br	Offline
+Open IM	jabberit_messenger	pt-br	Abrir IM
+Open as Pop-Up Window	jabberit_messenger	pt-br	Abrir janela como Pop-up
 Options	jabberit_messenger	pt-br	Opções
-Open IM	jabberit_messenger	pt-br	Abrir IM
 Photo	jabberit_messenger	pt-br	Foto
 Problems in its register \n	jabberit_messenger	pt-br	Problemas em seu registro
@@ -128,3 +130,4 @@
 waiting	jabberit_messenger	pt-br	Aguardando
 without_group	jabberit_messenger	pt-br	Sem Grupo
+Window	jabberit_messenger	pt-br	Janela
 Workgroup	jabberit_messenger	pt-br	Setor
Index: trunk/jabberit_messenger/xsl/preferences_jabberit.xsl
===================================================================
--- trunk/jabberit_messenger/xsl/preferences_jabberit.xsl	(revision 563)
+++ trunk/jabberit_messenger/xsl/preferences_jabberit.xsl	(revision 622)
@@ -11,4 +11,6 @@
 	<xsl:param name="lang6" />
 	<xsl:param name="lang7" />
+	<xsl:param name="lang8" />
+	<xsl:param name="lang9" />	
 	<xsl:param name="langYes" />
 	<xsl:param name="langNo" />		
@@ -27,9 +29,9 @@
 			</fieldset>
 			<br/>
-			<fieldset style="display:none;height:60px;margin-bottom:6px;padding:5px; border:1px solid #cecece;">
-				<legend><xsl:value-of select="$lang4"/></legend>
+			<fieldset style="height:60px;margin-bottom:6px;padding:5px; border:1px solid #cecece;">
+				<legend><xsl:value-of select="$lang8"/></legend>
 				<br/>
-				<label><xsl:value-of select="$lang5"/> .: </label>
-				<select id="userOfflineJabberit">
+				<label><xsl:value-of select="$lang9"/> .: </label>
+				<select id="openWindowJabberitPopUp">
 					<option value="true"><xsl:value-of select="$langYes"/></option>
 					<option value="false"><xsl:value-of select="$langNo"/></option>
Index: trunk/jabberit_messenger/inc/login.php
===================================================================
--- trunk/jabberit_messenger/inc/login.php	(revision 563)
+++ trunk/jabberit_messenger/inc/login.php	(revision 622)
@@ -100,8 +100,10 @@
 		$template->set_var("value_cnname",$CnName[0]);
 		$template->set_var("value_preference_userOfflineJabberit", strtoupper($preferences[1]));
-		$template->set_file(Array('jabberit_messenger' => 'jabberIM.tpl'));
+		if( strpos($_SERVER['HTTP_USER_AGENT'], "MSIE") )
+			$template->set_file(Array('jabberit_messenger' => 'jabberIM_IE.tpl'));
+		else
+			$template->set_file(Array('jabberit_messenger' => 'jabberIM.tpl'));
 		$template->set_block('jabberit_messenger','index');
 		$template->pfp('out','index');
     }
-
 ?>
Index: trunk/jabberit_messenger/inc/class.db_im.inc.php
===================================================================
--- trunk/jabberit_messenger/inc/class.db_im.inc.php	(revision 563)
+++ trunk/jabberit_messenger/inc/class.db_im.inc.php	(revision 622)
@@ -126,5 +126,6 @@
 		}
 
-		return "openWindowJabberit:true;userOfflineJabberit:true";
+		return "openWindowJabberit:true;openWindowJabberitPopUp:false";
+
 	}
 
Index: trunk/jabberit_messenger/js/images.js
===================================================================
--- trunk/jabberit_messenger/js/images.js	(revision 494)
+++ trunk/jabberit_messenger/js/images.js	(revision 622)
@@ -9,2 +9,3 @@
 	var jabberit_group_open = new Image();
 	jabberit_group_open.src = path_jabberit + 'templates/default/images/group_open.gif';
+
Index: trunk/jabberit_messenger/js/changeStatus.js
===================================================================
--- trunk/jabberit_messenger/js/changeStatus.js	(revision 622)
+++ trunk/jabberit_messenger/js/changeStatus.js	(revision 622)
@@ -0,0 +1,33 @@
+(function()
+{
+	// Path JabberIt 
+	var path_jabberit = null;
+	
+	function getStatus(pStatus, pElement)
+	{
+    	var element = pElement;
+		var status = pStatus;
+
+		var url_img = path_jabberit + 'templates/default/images/' + status + '.gif';
+		element.style.backgroundImage = 'url(' + url_img +')';
+	}
+
+	function teste()
+	{
+		alert('aqui dentro');
+	}
+
+	function setPath()
+	{
+		if( arguments.length > 0 && path_jabberit == null )
+			path_jabberit = arguments[0];
+	}
+	
+	function changeStatus(){}
+
+	changeStatus.prototype.get = getStatus;
+	changeStatus.prototype.setpath = setPath;
+	
+	window.changestatus = new changeStatus;
+
+})();	
Index: trunk/jabberit_messenger/js/load.js
===================================================================
--- trunk/jabberit_messenger/js/load.js	(revision 589)
+++ trunk/jabberit_messenger/js/load.js	(revision 622)
@@ -7,4 +7,5 @@
 	var flagMouseOver = '';
 	var flagOpenIM	  = '';
+	var flagOpenPopup = '';
     
 	// Sniffer Browser
@@ -33,6 +34,5 @@
 		var _jabberit_content = document.createElement('div');
 		_jabberit_content.setAttribute('id', 'jabberit_messenger_content');
-//		if( !is_ie )
-			_jabberit_content = document.body.appendChild(_jabberit_content);
+		_jabberit_content = document.body.appendChild(_jabberit_content);
 	}
 
@@ -42,24 +42,26 @@
 	function addIcon()
 	{
+		
+		var StatusBar = document.getElementById('divStatusBar');
+
 		/**
-		 * Criado o elemento(div) jabberWriteMsg, dentro da função write_msg do módulo expressoMail1_2,
-		 * quando estiver habilitada a opção fora de escritório nos filtros. 
+		 * @quando estiver habilitada a opção fora de escritório nos filtros. 
 		 */
 		
-		if(document.getElementById('jabberWriteMsg'))
-			var StatusBar = document.getElementById('jabberWriteMsg');
-		else
-			var StatusBar = document.getElementById('divStatusBar');
-		
-		if(StatusBar)
-		{
-			if( StatusBar.id != 'jabberWriteMsg' )
-			{
-				var _div = document.createElement('div');
-				_div.appendChild(StatusBar.parentNode.removeChild(StatusBar.previousSibling));
-				StatusBar.parentNode.insertBefore(_div,StatusBar);
-			}
-
+		if( div_write_msg = document.getElementById('em_div_write_msg') )
+		{		
+			var StatusBarIM = document.getElementById('JabberMessenger');
+			div_write_msg.parentNode.insertBefore(StatusBarIM, div_write_msg);
+			StatusBarIM.style.paddingLeft = '33px';
+			return;			
+		}
+		
+		if( StatusBar )
+		{
 			StatusBar.style.paddingLeft = '33px';
+			
+			var _div = document.createElement('div');
+			_div.appendChild(StatusBar.parentNode.removeChild(StatusBar.previousSibling));
+			StatusBar.parentNode.insertBefore(_div,StatusBar);
 			
 			var divJabber = document.createElement('div');
@@ -94,4 +96,5 @@
 
 			var _menu_div = top.document.createElement('div');
+				_menu_div.setAttribute('id','status_Jabber_Expresso');
 				_menu_div.style.background = 'no-repeat';
 				_menu_div.style.backgroundImage = 'url(' + jabberit_add_user.src + ')';
@@ -106,4 +109,6 @@
 				_menu_div.style.zindex = '99999999';
 			
+			statusJabberExpresso = _menu_div;
+			
 			divJabber.insertBefore(_menu_div, divJabber.firstChild);
 			StatusBar.insertBefore(divJabber, StatusBar.firstChild);			
@@ -162,4 +167,8 @@
 				}
 			);
+
+
+
+		//
 		}
 	}
@@ -202,13 +211,44 @@
 	}
 
-	function getFocus()
-	{
-		var pNewWindow = myWindow;
-		for( var i = 15 ; i > 0 ; i-- )
-		{
-			pNewWindow.moveBy(i,0);
-			pNewWindow.moveBy(-i,0);
-		}
-		pNewWindow.focus();
+	function getElementStatus()
+	{
+		return document.getElementById('status_Jabber_Expresso');
+	}
+
+	function getPreferences()
+	{
+		if( flagOpenIM == '' )
+		{
+			_conn.go("$this.db_im.getPreferences",
+						function(data)
+						{
+							var autoConnect = '';
+							flagOpenIM = data;
+							
+							if( data.indexOf(';') != -1)
+							{
+								var temp = data.split(';');
+								autoConnect = flagOpenIM = temp[0];
+
+								flagOpenPopup = 'openWindowJabberitPopUp:false';
+								
+								if( temp[1] )
+								{ 
+									if( temp[1] == 'openWindowJabberitPopUp:true' || temp[1] == 'openWindowJabberitPopUp:false')
+										flagOpenPopup = temp[1];
+								}
+							}
+							else
+							{
+								autoConnect = flagOpenIM;
+							}
+	
+							if( autoConnect == 'openWindowJabberit:true' )
+							{
+								setTimeout('loadscript.showW();', 2500);
+							}
+					 	});
+		}
+
 	}
 
@@ -232,20 +272,33 @@
 	function openPopup()
 	{
+		var widPopup = '220';
+
+		if( is_ie )
+			widPopup = '250';
+
 		try{
-			if( ! myWindow )
+			if(!myWindow )
 			{	
-				myWindow = window.open( path_jabberit + 'client.php', 'JabberIM', 'width=215,height=400,top=50,left=50,toolbar=no,menubar=no,resizable=no,scrollbars=no,status=no,location=no');
+				myWindow = window.open(path_jabberit + 'client.php','JabberIM','width='+widPopup+',height=400,top=50,left=50,toolbar=0,menubar=0,resizable=0,scrollbars=0,status=0,location=0,titlebar=0');
 				myWindow.blur();
 				configEvents(myWindow,'onbeforeunload', closeWindow );
-			}else
+			}
+			else
+			{
+				for( var i = 15 ; i > 0 ; i-- )
+				{
+					myWindow.moveBy(i,0); myWindow.moveBy(-i,0);
+				}
 				myWindow.focus();
+			}
 		}
 		catch(e)
 		{
 			delete myWindow;
-			myWindow = window.open( path_jabberit + 'client.php', 'JabberIM', 'width=215,height=400,top=50,left=50,toolbar=no,menubar=no,resizable=no,scrollbars=no,status=no,location=no');
+			myWindow = window.open(path_jabberit + 'client.php','JabberIM','width='+widPopup+',height=400,top=50,left=50,toolbar=0,menubar=0,resizable=0,scrollbars=0,status=0,location=0,titlebar=0');
 			myWindow.blur();
 			configEvents(myWindow,'onbeforeunload', closeWindow );
 		}
+		
 	}
 
@@ -253,4 +306,5 @@
 	{
 		var _win_contacts = _window.load('jabberit_contacts');
+
 		var flagOpenAux = '';
 		
@@ -262,16 +316,25 @@
 		else
 			flagOpenAux = flagOpenIM;
-		
+
 		if( flagOpenAux == 'openWindowJabberit:false' )
 		{
-			_win_contacts.size(215,400);
+			if( !is_ie )
+				_win_contacts.size(220,400);
+			else	
+			 	_win_contacts.size(250,400);
 		}					
 		else
 		{ 
-			_win_contacts.size(1,1); 
-			_win_contacts.wm.style.visibility = 'hidden';
-		}
-
-		_win_contacts.position(50,50);
+			if( !is_ie )
+			{
+				_win_contacts.size(1,1);
+				_win_contacts.wm.style.visibility = 'hidden';
+			}
+			else
+			{
+				_win_contacts.size(0,0);
+			}
+		}
+
 		_win_contacts.bc.style.display = "none";
 		_win_contacts.bx.style.display = "none";
@@ -299,33 +362,21 @@
 		if( flagOpenAux == 'openWindowJabberit:false' )
 		{
-			_win_contacts.wm.style.visibility = "visible";
-			_win_contacts.title('.:: Expresso - JMessenger ::.');
-		}
-		else _win_contacts.wm.style.visibility = "hidden";
-	}
-
-	function getPreferences()
-	{
-		if( flagOpenIM == '' )
-		{
-			_conn.go("$this.db_im.getPreferences",
-					 function(data)
-					 {
-							var autoConnect = '';
-							flagOpenIM = data;
-							
-							if( flagOpenIM.indexOf(';') != -1)
-							{
-								var temp = flagOpenIM.split(';');
-								autoConnect = temp[0];
-							}
-							else
-								autoConnect = flagOpenIM;
-
-							if( autoConnect == 'openWindowJabberit:true' )
-							{
-								setTimeout('loadscript.showW();', 2500);
-							}
-					 });
+			if( !is_ie )
+			{
+				_win_contacts.wm.style.visibility = "visible";
+				_win_contacts.size(220,400);
+				_win_contacts.title('.:: Expresso - JMessenger ::.');
+			}
+			else
+			{
+				_win_contacts.size(250,400);
+				_win_contacts.title('.:: Expresso - JMessenger ::.');
+			}
+			_win_contacts.position(50,50);
+		}
+		else
+		{ 
+			if( !is_ie )
+				_win_contacts.wm.style.visibility = "hidden";
 		}
 	}
@@ -362,5 +413,5 @@
 		{
 			var _win_preferences = _window.load('jabberit_preferences');
-				_win_preferences.size(300,250);
+				_win_preferences.size(320,250);
 				_win_preferences.position(150,100);
 				_win_preferences.title('.:: Expresso - JMessenger '+jabberitGetLang('Preferences')+'::.');
@@ -387,5 +438,5 @@
 			var _params = {'path'  : path_jabberit,
 						   'lang1' : jabberitGetLang('Your Preferences'),
-						   'lang2' : jabberitGetLang('Auto Connection'),	
+						   'lang2' : jabberitGetLang('Connection'),	
 						   'lang3' : jabberitGetLang('Enable Auto Login IM'),
 						   'lang4' : jabberitGetLang('Users OffLine'),
@@ -393,4 +444,6 @@
 						   'lang6' : jabberitGetLang('Save'),
 						   'lang7' : jabberitGetLang('Cancel'),
+						   'lang8' : jabberitGetLang('Window'),
+						   'lang9' : jabberitGetLang('Open as Pop-Up Window'),						   
 						   'langYes': jabberitGetLang('Yes'),
 						   'langNo':  jabberitGetLang('No')											   
@@ -405,40 +458,26 @@
 			_win_preferences.position(150,100);							
 			_win_preferences.title('.:: Expresso - JMessenger '+jabberitGetLang('Preferences')+'::.');
-			_win_preferences.size(300,250);
-		}
-
-		if( flagOpenIM.indexOf(';') != -1 )
-		{
-			var temp = flagOpenIM.split(';');
-			
-			// Element openWindowJabberit
-			var value1 = temp[0].split(':');
-			var element1 = document.getElementById(value1[0]);
-			var valueSelect1 = value1[1];
-			
-			for(var i = 0; i < element1.options.length; i++)
-				if( element1.options[i].value == valueSelect1 )
-					element1.options[i].selected = true;
-
-			// Element userOfflineJabberit
-			var value2 = temp[1].split(':');
-			var element2 = document.getElementById(value2[0]);
-			var valueSelect2 = value2[1];
-			
-			for(var i = 0; i < element2.options.length; i++)
-				if( element2.options[i].value == valueSelect2 )
-					element2.options[i].selected = true;
-		}
-		else
-		{
-			// Element openWindowJabberit
-			var value1 = flagOpenIM.split(':');
-			var element1 = document.getElementById(value1[0]);
-			var valueSelect1 = value1[1];
-
-			for(var i = 0; i < element1.options.length; i++)
-				if( element1.options[i].value == valueSelect1 )
-					element1.options[i].selected = true;
-		}
+			_win_preferences.size(320,250);
+		}
+
+		// Element openWindowJabberit
+		var value1 = flagOpenIM.split(':');
+		var element1 = document.getElementById(value1[0]);
+		var valueSelect1 = value1[1];
+		
+		for(var i = 0; i < element1.options.length; i++)
+			if( element1.options[i].value == valueSelect1 )
+				element1.options[i].selected = true;
+
+
+		// Element userOfflineJabberit
+		var value2 = flagOpenPopup.split(':');
+		var element2 = document.getElementById(value2[0]);
+		var valueSelect2 = value2[1];
+			
+		for(var i = 0; i < element2.options.length; i++)
+			if( element2.options[i].value == valueSelect2 )
+				element2.options[i].selected = true;
+		
 	}
 
@@ -458,5 +497,5 @@
 		var elementOpenW = document.getElementById('openWindowJabberit');
 		var value = '';
-		var valueAux = '';
+		var flagReload = false;
 		
 		for(var i = 0 ; i < elementOpenW.options.length; i++)
@@ -464,17 +503,21 @@
 			{
 				value = 'preferences1=openWindowJabberit:' + elementOpenW.options[i].value;
-				valueAux = 'openWindowJabberit:' + elementOpenW.options[i].value;
-			}
-
-		// Element userOfflineJabberit				
-		var elementUserOff = document.getElementById('userOfflineJabberit');
-		
-		for(var i = 0; i < elementUserOff.options.length; i++)
-			if( elementUserOff.options[i].selected == true )
-			{
-				value += '&preferences2=userOfflineJabberit:' + elementUserOff.options[i].value;
-				valueAux += ';userOfflineJabberit:' + elementUserOff.options[i].value;
-			} 		
-		
+				flagOpenIM = 'openWindowJabberit:' + elementOpenW.options[i].value;
+			}
+
+		// Element openWindowJabberitPopUp
+		var elementOpenPop = document.getElementById('openWindowJabberitPopUp');	
+
+		for(var i = 0; i < elementOpenPop.options.length; i++ )
+			if( elementOpenPop.options[i].selected ==  true )
+			{
+				value += '&preferences2=openWindowJabberitPopUp:' + elementOpenPop.options[i].value;
+				
+				if( flagOpenPopup != 'openWindowJabberitPopUp:' + elementOpenPop.options[i].value)
+					flagReload = true;
+					
+				flagOpenPopup = 'openWindowJabberitPopUp:' + elementOpenPop.options[i].value;
+			}
+			
 		_conn.go('$this.db_im.setPreferences',
 				 function(data)
@@ -482,15 +525,15 @@
 					if(data == 'true')
 					{
-						flagOpenIM = valueAux;
-						alert(jabberitGetLang('Preferences saved with success!'));
+						if( flagReload )
+						{
+							window.location.reload();
+						}
 					}
-					else
-						alert(jabberitGetLang('Error saving your preferences!'));
+					else{ alert(jabberitGetLang('Error saving your preferences!')); }
 										
 					var _win_preferences = _window.get('jabberit_preferences');
 						_win_preferences.close();
-											
 				 },
-				value);
+				 value);
 	}
 	
@@ -505,5 +548,10 @@
 	{
 		var _win_contacts = _window.get('jabberit_contacts');
-		if( !is_ie )
+		
+		if( flagOpenPopup == 'openWindowJabberitPopUp:true' )
+		{
+			openPopup();					
+		}
+		else
 		{
 			if ( _win_contacts )
@@ -511,11 +559,15 @@
 				_win_contacts.wm.style.visibility = "visible";
 				_win_contacts.title('.:: Expresso - JMessenger ::.');
-				_win_contacts.size(215,400);
+	
+				if( !is_ie )
+					_win_contacts.size(220,400);
+				else
+					_win_contacts.size(250,400);
+	
+				_win_contacts.position(60,60);
 			}
 			else
 				openWindow();
 		}
-		else
-			openPopup();
 	}
 
@@ -529,5 +581,6 @@
 	Load.prototype.cLabel	= changeLabel;
 	Load.prototype.closeW	= closeWindow;
-	Load.prototype.keyPress	= keyPressSearch;
+	Load.prototype.getElement	= getElementStatus;
+	Load.prototype.keyPress		= keyPressSearch;
 	Load.prototype.openWinParExt = openWindowParticipantsExternal;
 	Load.prototype.search	= searchUser;