Index: /trunk/jabberit_messenger/setup/phpgw_pt-br.lang
===================================================================
--- /trunk/jabberit_messenger/setup/phpgw_pt-br.lang	(revision 622)
+++ /trunk/jabberit_messenger/setup/phpgw_pt-br.lang	(revision 636)
@@ -11,12 +11,15 @@
 Auto Connection	jabberit_messenger	pt-br	Conectar Automaticamente
 Ativar aviso de mensagem recebida	jabberit_messenger	pt-br	Ativar aviso de mensagem recebida
+Attention	jabberit_messenger	pt-br	Atenção
+ATTENTION	jabberit_messenger	pt-br	ATENÇÃO
 Attribute	jabberit_messenger	pt-br	Atributo
 available	jabberit_messenger	pt-br	Disponível
-away	jabberit_messenger	pt-br	Ausente
-Away	jabberit_messenger	pt-br	Ausente
+away	jabberit_messenger	pt-br	Volto Logo
+Away	jabberit_messenger	pt-br	Volto Logo
 Birthday	jabberit_messenger	pt-br	Aniversário
 busy	jabberit_messenger	pt-br	Ocupado
 change your Status	jabberit_messenger	pt-br	Mude seu estado
 Cancel	jabberit_messenger	pt-br	Cancelar
+Change Status	jabberit_messenger	pt-br	Status
 Choice attribute	common	pt-br	Escolha o Atributo
 Choice Contact	jabberit_messenger	pt-br	Escolha Contato
@@ -28,4 +31,5 @@
 Contact	jabberit_messenger	pt-br	Contato
 Contact Add	jabberit_messenger	pt-br	Contato Adicionado
+Contact was not added!	jabberit_messenger	pt-br	Contato não foi adicionado!
 Connection	jabberit_messenger	pt-br	Conexão
 Custom message...	jabberit_messenger	pt-br	Mensagem ...
@@ -47,4 +51,5 @@
 Font	jabberit_messenger	pt-br	Fonte
 Full Name	jabberit_messenger	pt-br	Nome Completo
+Free For Chat	jabberit_messenger	pt-br	Livre Bate-Papo
 Group	jabberit_messenger	pt-br	Grupo
 Help	jabberit_messenger	pt-br	Ajuda
@@ -54,4 +59,5 @@
 Information User	jabberit_messenger	pt-br	Informações Pessoais
 It requisition permission	jabberit_messenger	pt-br	Requisitar Permissão
+Invisible	jabberit_messenger	pt-br	Invisível
 Jid Contact	jabberit_messenger	pt-br	Email Expresso
 jabberit_messenger	common	pt-br	Expresso JMessenger
@@ -114,4 +120,5 @@
 Style	jabberit_messenger	pt-br	Estilo
 Telephone	jabberit_messenger	pt-br	Telefone
+This user is part of a small group!	jabberit_messenger	pt-br	Este usuário faz parte de um grupo restrito!
 Treme Tela	jabberit_messenger	pt-br	Treme Tela
 to see preferences	jabberit_messenger	pt-br	Ver Preferências
@@ -122,4 +129,5 @@
 unavailable	jabberit_messenger	pt-br	Desconectado
 Vcard	jabberit_messenger	pt-br	Vcard
+Xa	jabberit_messenger	pt-br	Ausente
 Yes	jabberit_messenger	pt-br	Sim
 You desire to register in service IM?	jabberit_messenger	pt-br	Você deseja registrar no serviço IM?
Index: /trunk/expressoMail1_2/setup/phpgw_en.lang
===================================================================
--- /trunk/expressoMail1_2/setup/phpgw_en.lang	(revision 343)
+++ /trunk/expressoMail1_2/setup/phpgw_en.lang	(revision 636)
@@ -5,5 +5,5 @@
 5 Day	expressoMail1_2	en	5 Day
 5 Days	expressoMail1_2	en	5 Days
-Access right	expressoMail1_2	en	Access right
+Access right	expressoMail1_2	en	Access rights
 Action	expressoMail1_2	en	Action
 Add BCC	expressoMail1_2	en	Add BCC
@@ -11,16 +11,19 @@
 Add Contact	expressoMail1_2	en	Add Contact
 Add user into my IM	expressoMail1_2	en	Add user into my IM
-Note: This sharing will take action on all of your folders and messages.	expressoMail1_2	en	Note: This sharing will take action on all of your folders and messages.
+Note: This sharing will take action on all of your folders and messages.	expressoMail1_2	en	Note: This sharing will take action on all your folders and messages.
 all	expressoMail1_2	en	all
 Also check message against next rule	expressoMail1_2	en	Also check message against next rule
+and save in     expressoMail1_2 en   and save in
 Answered	expressoMail1_2	en	Answered
 l_answered	expressoMail1_2	en	Answered
 <b>Answer messages from:</b> %1 - <b>Status:</b><font color='red'> %2</font> - <b>message:</b> %3</a>	expressoMail1_2	en	<b>Answer messages from:</b> %1 - <b>Status:</b><font color='red'> %2</font> - <b>message:</b> %3</a>
-A read confirmation was sent.	expressoMail1_2	en	A read confirmation was sent.
+A read confirmation was sent.	expressoMail1_2	en	A read notification was sent.
 At %1, %2 hours, %3 wrote:	expressoMail1_2	en	At %1, %2 hours, %3 wrote:
+Auto save draft expressoMail1_2 en   Auto save draft
 Back	expressoMail1_2	en	Back
 BCC	expressoMail1_2	en	BCC
 Big	expressoMail1_2	en	Big
 Bold	expressoMail1_2	en	Bold
+Border  expressoMail1_2 en   Border
 Block Sender	expressoMail1_2	en	Block Sender
 <b>Tip:</b> For faster save, click over the image with <u>right button</u>.	expressoMail1_2	en	<b>Tip:</b> For faster save, click over the image with <u>right button</u>.
@@ -32,6 +35,6 @@
 Change folder	expressoMail1_2	en	Change folder
 Choose a name	expressoMail1_2	en	Choose a name
-Chose the text you want transform in link before.	expressoMail1_2	en	Chose the text you want transform in link before.
-Clean	expressoMail1_2	en	Clean
+Chose the text you want transform in link before.	expressoMail1_2	en	Select the text which will be transformed in link
+Clean	expressoMail1_2	en	Clear
 Click here do view (+)	expressoMail1_2	en	Click here do view (+)
 Click here to add into the fields	expressoMail1_2	en	Click here to add into the fields
@@ -79,5 +82,5 @@
 Enter a name for the box	expressoMail1_2	en	Enter a name for the box
 Enter the name of the new folder:	expressoMail1_2	en	Enter the name of the new folder:
-Enter with link URL:", "http://"	expressoMail1_2	en	Enter with link URL:", "http://"
+Enter with link URL:    expressoMail1_2 en   Enter the link URL:
 Delete folder	expressoMail1_2	en	Delete folder
 Erase the message	expressoMail1_2	en	Erase the message
@@ -121,9 +124,11 @@
 hlp_msg_read_acl	expressoMail1_2	en	hlp_msg_read_acl
 hlp_msg_sendlike_acl	expressoMail1_2	en	hlp_msg_sendlike_acl
+Image   expressoMail1_2 en   Image
 Imap Folders Properties	admin	en	Imap Folders Properties
 Important	expressoMail1_2	en	Important
 l_important	expressoMail1_2	en	Important
-In all the folders	expressoMail1_2	en	In all the folders
+In all the folders	expressoMail1_2	en	In all folders
 Inbox	expressoMail1_2	en	Inbox
+Include expressoMail1_2 en   Include
 indent	expressoMail1_2	en	indent
 Inform a forwarding e-mail!	expressoMail1_2	en	Inform a forwarding e-mail!
@@ -135,19 +140,21 @@
 Inform the forwarding e-mail(s)	expressoMail1_2	en	Inform the forwarding e-mail(s)
 Inform your search in the text fields	expressoMail1_2	en	Inform your search in the text fields
-insertorderedlist	expressoMail1_2	en	insertorderedlist
+insertorderedlist	expressoMail1_2	en	Insert ordered list
+Insert Table    expressoMail1_2 en   Insert table
 Insert signature	expressoMail1_2	en	Insert signature
-insertunorderedlist	expressoMail1_2	en	insertunorderedlist
+Insert signature automatically in new messages? expressoMail1_2 en   Insert signature automatically in new messages?
+insertunorderedlist	expressoMail1_2	en	Insert unordered list
 in this message	expressoMail1_2	en	in this message
 italic	expressoMail1_2	en	italic
 Its %1 folder is not created. It is necessary to create so that it functions correctly.	expressoMail1_2	en	Its %1 folder is not created. It is necessary to create so that it functions correctly.
-It's not possible create inside: 	expressoMail1_2	en	It's not possible create inside: 
-It's not possible delete the folder: 	expressoMail1_2	en	It's not possible delete the folder: 
-It's not possible rename the folder: 	expressoMail1_2	en	It's not possible rename the folder: 
-It's not possible rename this folder!	expressoMail1_2	en	It's not possible rename this folder!
-It's not possible rename this folder, because it is being used in the moment!	expressoMail1_2	en	It's not possible rename this folder, because it is being used in the moment!
-justifycenter	expressoMail1_2	en	justifycenter
-justifyfull	expressoMail1_2	en	justifyfull
-justifyleft	expressoMail1_2	en	justifyleft
-justifyright	expressoMail1_2	en	justifyright
+It's not possible create inside: 	expressoMail1_2	en	It's not possible to create inside: 
+It's not possible delete the folder: 	expressoMail1_2	en	It's not possible to delete the folder: 
+It's not possible rename the folder: 	expressoMail1_2	en	It's not possible to rename the folder: 
+It's not possible rename this folder!	expressoMail1_2	en	It's not possible to rename this folder!
+It's not possible rename this folder, because it is being used in the moment!	expressoMail1_2	en	It's not possible to rename this folder, because it's being used in the moment!
+justifycenter	expressoMail1_2	en	justify center
+justifyfull	expressoMail1_2	en	justify full
+justifyleft	expressoMail1_2	en	justify left
+justifyright	expressoMail1_2	en	justify right
 Keep a copy of the message at your Inbox	expressoMail1_2	en	Keep a copy of the message at your Inbox
 Last	expressoMail1_2	en	Last
@@ -234,7 +241,9 @@
 Result of the search	expressoMail1_2	en	Result of the search
 Return receipt	expressoMail1_2	en	Return receipt
+Rich Text       expressoMail1_2 en   Rich Text
 Rule	expressoMail1_2	en	Rule
 Save as Draft	expressoMail1_2	en	Save as Draft
 Save deleted messages in trash folder?	expressoMail1_2	en	Save deleted messages in trash folder?
+Save sent messages in folder    expressoMail1_2 en   Save sent messages in folder
 Save Draft	expressoMail1_2	en	Save Draft
 Save	expressoMail1_2	en	Save
@@ -259,4 +268,6 @@
 Select an organization and click on button <b>Search</b>	expressoMail1_2	en	Select an organization and click on button <b>Search</b>
 Select on send	expressoMail1_2	en	Select on send
+Select the desired image file   expressoMail1_2 en   Select the desired image file
+Select the table size   expressoMail1_2 en   Select the table size
 Select the type of contact that you want to view	expressoMail1_2	en	Select the type of contact that you want to view
 Select the user	expressoMail1_2	en	Select the user
@@ -278,5 +289,8 @@
 Show previous message, after delete actual message?	expressoMail1_2	en	Show previous message, after delete actual message?
 Signature	expressoMail1_2	en	Signature
+Signature Configuration expressoMail1_2 en   Signature Configuration
+Signature Type  expressoMail1_2 en   Signature Type
 Signed message	expressoMail1_2	en	Signed message
+Simple Text     expressoMail1_2 en   Simple Text
 Size	expressoMail1_2	en	Size
 Small	expressoMail1_2	en	Small
@@ -289,4 +303,5 @@
 Store at	expressoMail1_2	en	Store at
 Subject	expressoMail1_2	en	Subject
+Table   expressoMail1_2 en   Table
 The Anti Pop-Up is enabled. Allow this site (%1) for print.	expressoMail1_2	en	The Anti Pop-Up is enabled. Allow this site (%1) for print.
 The field \"%1\" of the message it contains	expressoMail1_2	en	The field \"%1\" of the message it contains
@@ -303,4 +318,5 @@
 The size of the message is	expressoMail1_2	en	The size of the message is
 The size of this message has exceeded  the limit (%1B).	expressoMail1_2	en	The size of this message has exceeded  the limit (%1B).
+This mail box is empty  expressoMail1_2 en   This mail box is empty.
 This message is already opened!	expressoMail1_2	en	This message is already opened!
 This message is already selected!	expressoMail1_2	en	This message is already selected!
@@ -318,8 +334,10 @@
 Unseen	expressoMail1_2	en	Unseen
 l_unseen	expressoMail1_2	en	Unseen
+Upload file     expressoMail1_2 en   Upload file
 Use F9 Key as shortcut.	expressoMail1_2	en	Use F9 Key as shortcut.
 Use shortcuts?	expressoMail1_2	en	Use shortcuts?
 User connected	instant_messenger	en	User connected
 User didn't accepted you yet	instant_messenger	en	User didn't accepted you yet
+Use dynamic contacts?   expressoMail1_2 en   Use dynamic contacts?
 User not connected	instant_messenger	en	User not connected
 User not registered	instant_messenger	en	User not registered
@@ -356,2 +374,4 @@
 Page Not Found!	expressoMail1_2	en	Page Not Found!
 This list has no participants	expressoMail1_2	en	This list has no participants
+Rows    expressoMail1_2 en   Rows
+Cols    expressoMail1_2 en   Cols